<?php

use Illuminate\Support\Facades\Route;

Route::prefix('/rest/vzdelavanie/sprava/kniznica/')
    ->middleware(
        'web',
        'permission:vzdelavanie_kniznica'
    )
    ->namespace('Seka\Vzdelavanie\Http\Controllers\Api\Backend\Kniznica')
    ->group(function () {
        Route::apiResource('kategorie/{vzdKnzncKategoriaId}/ucebne-materialy/{vzdKnzncUcbnMtrlId}/sekcie', 'SekciaController')
            ->parameters([
                'sekcie' => 'vzdKnzncSekciaId',
            ])
            ->names([
                'update' => 'api.vzdelavanie.kniznica.sekcia.update',
                'destroy' => 'api.vzdelavanie.kniznica.sekcia.destroy',
            ])->only([
                'update',
                'destroy',
            ]);
    });
